Bug 258970 - Add full screen mode to 2D and 3D graphs
Summary: Add full screen mode to 2D and 3D graphs
Status: RESOLVED FIXED
Alias: None
Product: khipu
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Percy Camilo Triveño Aucahuasi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-06 03:55 UTC by André Marcelo Alvarenga
Modified: 2013-06-19 13:12 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
I tried to add an action of full screen with the resolution menu (pop-up menu) (21.14 KB, patch)
2013-01-12 13:35 UTC, heena
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Marcelo Alvarenga 2010-12-06 03:55:26 UTC
Version:           unspecified (using KDE 4.5.3) 
OS:                Linux

KAlgebra does not allow fullscreen mode. I think it would be useful to teachers explain 2D and 3D graphs in classroom.
Make this setting as large as possible, with a minimum of wasted space. Just what's needed to display the graph.

Reproducible: Always
Comment 1 Aleix Pol 2010-12-14 05:04:07 UTC
That's a very interesting use case, we're in feature freeze stage right now, but I'll try to get it in for KDE 4.7.

Would you leave the controls to add/remove functions in the fullscreen mode?
Comment 2 André Marcelo Alvarenga 2010-12-17 21:45:24 UTC
Yes. 

My suggestion: 

A menu like Okular (in slideshow mode) or VirtualBox (in fullscreen mode). The menu is automatically displayed when mouse pointer is at the top of the screen.

Menu options:

- option to add function.
- one button (or two) to swap between 2D and 3D graphs.
- one button to leave fullscreen mode.
- one option to keep the displayed menu on the screen.
Comment 3 heena 2013-01-12 13:35:03 UTC
Created attachment 76419 [details]
I tried to add an action of full screen with the resolution menu (pop-up menu)
Comment 4 Aleix Pol 2013-01-13 20:17:49 UTC
Comment on attachment 76419 [details]
I tried to add an action of full screen with the resolution menu (pop-up menu)

Can you provide a patch?

use the "git diff" command for this (or "show local changes" in KDevelop)
Comment 5 Aleix Pol 2013-05-31 23:52:39 UTC
I think this feature should be in Khipu.
Comment 6 Punit Mehta 2013-06-01 14:34:46 UTC
Yes. . This is a good feature for Khipu. Right now , I am also working for the actions. As soon as , I am done with my work , I will come to this and implement this.
Comment 7 Aleix Pol 2013-06-19 13:12:42 UTC
Git commit bbd1e3d8c2f9271631a795411ec86cb60f2a316f by Aleix Pol.
Committed on 19/06/2013 at 02:17.
Pushed by apol into branch 'master'.

Add fullscreen mode to KAlgebra

M  +23   -2    src/kalgebra.cpp
M  +1    -0    src/kalgebra.h

http://commits.kde.org/kalgebra/bbd1e3d8c2f9271631a795411ec86cb60f2a316f